<?php
/*
Plugin Name: Social Traffic Machine

Plugin URI: http://graemewilson.co.nz/wordpress-plugins/wordpress-blank-plugin/

Description: A blank plugin that simply adds a new admin menu item called 'blank', with a single submenu item that displays a blank page.

             Documented with links to WordPress Codex

Author: Graeme Wilson

Author URI:http://graemewilson.co.nz/

Version: 0.1 

License: GPLv2

*/

// Make sure that no info is exposed if file is called directly -- Idea taken from Akismet plugin
if ( !function_exists( 'add_action' ) ) {
	echo "This page cannot be called directly.";
	exit;
}

// Define some useful constants that can be used by functions
if ( ! defined( 'WP_CONTENT_URL' ) ) {	
	if ( ! defined( 'WP_SITEURL' ) ) define( 'WP_SITEURL', get_option("siteurl") );
	define( 'WP_CONTENT_URL', WP_SITEURL . '/wp-content' );
}
if ( ! defined( 'WP_SITEURL' ) ) define( 'WP_SITEURL', get_option("siteurl") );
if ( ! defined( 'WP_CONTENT_DIR' ) ) define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
if ( ! defined( 'WP_PLUGIN_URL' ) ) define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );
if ( ! defined( 'WP_PLUGIN_DIR' ) ) define( 'WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins' );

if ( basename(dirname(__FILE__)) == 'plugins' )
	define("BLANK_DIR",'');
else define("BLANK_DIR" , basename(dirname(__FILE__)) . '/');
define("BLANK_PATH", WP_PLUGIN_URL . "/" . BLANK_DIR);

/* Add new menu */
add_action('admin_menu', 'blank_add_pages');
// http://codex.wordpress.org/Function_Reference/add_action

/*

******** BEGIN PLUGIN FUNCTIONS ********

*/


// function for: 
function blank_add_pages() {

  // anyone can see the menu for the Blank Plugin
 // add_menu_page('Blank Overview','Blank Plugin', 'read', 'blank_overview', 'blank_overview', BLANK_PATH.'images/b_status.png');
  // http://codex.wordpress.org/Function_Reference/add_menu_page

  // this is just a brief introduction
  //add_submenu_page('blank_overview', 'Overview for the Blank Plugin', 'Overview', 'read', 'blank_overview', 'blank_intro');
  // http://codex.wordpress.org/Function_Reference/add_submenu_page

 add_menu_page('Social Traffic Machine', 'Social Traffic Machine','manage_options', 'theme-options', 'dashboard_page', '../wp-content/plugins/social_traffic_machine/images/stm-logo-favicon.png');

  

    add_submenu_page( 'theme-options', 'Dashboard', 'Dashboard', 'manage_options', 'theme-options', 'dashboard_page');

    add_submenu_page( 'theme-options', 'Add Campaign', 'Add Campaign', 'manage_options', 'stm-add-campaign', 'stm_add_campaign');

}

$wp_tbl_trafficmachine_links = $wpdb->prefix . 'tbl_trafficmachine_links';

$wp_tbl_trafficmachine_clicks = $wpdb->prefix . 'tbl_trafficmachine_clicks';

//$wp_tbl_trafficmachine_clicks = $wpdb->prefix . 'tbl_trafficmachine_clicks';



$trafficm = "CREATE TABLE " . $wp_tbl_trafficmachine_links . " (

		`id` int(11) NOT NULL AUTO_INCREMENT,

		`campaign_name` varchar(255) NOT NULL,

		`tracking_word` text,

                `destination_url` text,

                `popupsource_flag` text,

                `popup_link` text,

                `popup_own` text,

                `redirect_flag` text,

                `p_exittext` text,

                `popup_width` text,

                `popup_height` text,

                `popup_timing` text,

                `created_at` datetime,

		UNIQUE KEY id (id)

		);";

 

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

dbDelta($trafficm);



$trafficm1 = "CREATE TABLE " . $wp_tbl_trafficmachine_clicks . " (

		`id` int(11) NOT NULL AUTO_INCREMENT,

		`link_id` int(11) NOT NULL,

		`ip` text,

                `browser` text,

                `host` text,

                `link` text,

               

                `created_at` datetime,

		UNIQUE KEY id (id)

		);";

 

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

dbDelta($trafficm1);

function dashboard_page() {
    global $wpdb;

 $site_url=site_url();

    // PLUGIN_PATH;

 

 

 $data=$_SERVER["SCRIPT_FILENAME"];

    

    $arr=explode("wp-admin",$data);

   $str1=$arr[0];

  

  

     $siteurl=site_url();

   $filename1= $str1.'wp-config.php';

  //  exit;  

$file = $filename1;

$searchfor = "define('DB_NAME', '";

$contents = file_get_contents($file);



$arr=explode($searchfor,$contents);

$arr1=explode("');",$arr[1]);

$dbname=$arr1[0];



$searchfor="define('DB_USER', '";

$arr=explode($searchfor,$contents);

$arr1=explode("');",$arr[1]);

$dbuser=$arr1[0];





$searchfor="define('DB_PASSWORD', '";

$arr=explode($searchfor,$contents);

$arr1=explode("');",$arr[1]);

$dbpwd=$arr1[0];





$searchfor="define('DB_HOST', '";

$arr=explode($searchfor,$contents);

$arr1=explode("');",$arr[1]);

$dbhost=$arr1[0];



//echo $contents;



$str="<?php ";

$str.='$dbname=\''.$dbname.'\';';

$str.='$uname=\''.$dbuser.'\';';



$str.='$pwd=\''.$dbpwd.'\';';

$str.='$dbhost=\''.$dbhost.'\';';



$file1 = fopen($str1."tm_db.php","w");



 fwrite($file1,$str);

 

 

 

$plugin_dir = plugin_dir_path( __FILE__ ).'preview.php';

 $dest = "../wp-content/themes/preview.php";



 copy($plugin_dir, $dest);

 

 

 $plugin_dir = plugin_dir_path( __FILE__ ).'prevshow.php';

 $dest = "../wp-content/themes/prevshow.php";



 copy($plugin_dir, $dest);

 

 

 $wp_tbl_trafficmachine_links = $wpdb->prefix . 'tbl_trafficmachine_links';

    if($_GET['action1']=="add")

    {

       

     $wp_tbl_trafficmachine_links = $wpdb->prefix . 'tbl_trafficmachine_links';



    $c_name=$_GET['c_name'];

    $url = $_GET['url'];

    $t_link  = $_GET['t_link'];

    $popup_editor_hidden      = $_GET['popup_editor_hidden'];

    $p_link1=$_GET['p_link1'];

    $p_width=$_GET['p_width'];

    $p_height=$_GET['p_height'];

    $p_exittext=$_GET['p_exittext'];

    

    $p_link2=$_GET['p_link2'];

    $redirect_flag=$_GET['redirect_flag'];

    $p_delay=$_GET['p_delay'];

             

    if($p_link1=="http://")
    {
        $p_link1="";
    }

//    $arr = array('p_width' => $p_width, 'p_height' => $p_height, 'p_delay' => $p_delay);

   

//    $jsondata=json_encode($arr);

    

    

$wpdb->insert( 

	$wp_tbl_trafficmachine_links,

	array( 

		'campaign_name'=> $c_name,

		'tracking_word'=> $url,

                'destination_url'=> $t_link,

                'popupsource_flag' =>$popup_editor_hidden,

                'popup_link' =>$p_link1,

                'popup_own' =>$p_link2,

                'redirect_flag' => $redirect_flag,

                'popup_width' =>$p_width,

                'popup_height' => $p_height,

                'popup_timing' =>$p_delay,

                'p_exittext'=>$p_exittext,

               

	)

          

);

//echo $wpdb->last_query;

$lastid = $wpdb->insert_id;

//$encodeid=base64_encode($lastid);

//$url=$url."?Id=".$encodeid;



$encodeid=base64_encode($lastid);

$url=$url."?Id=".$lastid;



$table=$wp_tbl_trafficmachine_links;

         $data_array = array('tracking_word' => $url);

         $where = array('id' => $lastid);



    $wpdb->update($table, $data_array, $where);

    

    }

    

     if($_GET['action1']=="edit")

    {

          $id=$_GET['id'];
          
     $wp_tbl_trafficmachine_links = $wpdb->prefix . 'tbl_trafficmachine_links';

     
//     $query = $wpdb->get_results("SELECT * FROM $wp_tbl_trafficmachine_links where id=$id", ARRAY_A);
//     $url=$query['tracking_word'];

        $c_name = $_GET['c_name'];

        //$url = $_GET['url'];

        $t_link  = $_GET['t_link'];

        $popup_editor_hidden      = $_GET['popup_editor_hidden'];

        $p_link1=$_GET['p_link1'];

        $p_width=$_GET['p_width'];

        $p_height=$_GET['p_height'];

        $p_exittext=$_GET['p_exittext'];

        $p_link2=$_GET['p_link2'];

      

        $redirect_flag=$_GET['redirect_flag'];

        $p_delay=$_GET['p_delay'];

       

          if($p_link1=="http://")
    {
        $p_link1="";
    }

     $table=$wp_tbl_trafficmachine_links;

         $data_array = array('campaign_name' => $c_name, 

            
             'destination_url'=>$t_link,

             'popupsource_flag'=>$popup_editor_hidden,

             'popup_link'=>$p_link1,

             'popup_own'=>$p_link2,

             'redirect_flag'=>$redirect_flag,

             'popup_width'=>$p_width,

             'popup_height'=>$p_height,

             'popup_timing'=>$p_delay,

             'p_exittext'=>$p_exittext);

         $where = array('id' => $id);



    $wpdb->update($table, $data_array, $where);

    //echo $wpdb->last_query;

    


     }
?>
<!--<div class="wrap"><h2>Blank Plugin Overview</h2>
<button type="button" name="test" id="test" onclick="test()">click here</button>
<p>An overview of the blank plugin.</p>
</div>-->

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<style>

    body { font-size: 140%; }

    

    </style>

    

    <script src="//code.jquery.com/jquery-1.11.3.min.js"></script>



      <script src="https://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>

       <script src="https://cdn.datatables.net/plug-ins/1.10.7/integration/bootstrap/3/dataTables.bootstrap.js"></script>

    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css" rel="stylesheet" />

    <link href="https://cdn.datatables.net/plug-ins/1.10.7/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet" />

   

<input type="hidden" name="siteurl" id="siteurl" value="<?php echo $site_url; ?>">

<div style="">
<table class="form-table">
<tbody><tr valign="middle">
<td><img style="vertical-align:middle; width: 38%;margin: -22px;" src="../wp-content/plugins/social_traffic_machine/images/stm-logo2.png" title=""><br><br></td>
<td align="right"></td>
</tr></tbody></table>
        <table>
            <tr>
                <td>
                    <h2 style="padding-bottom: 19px;margin: 2px;">Dashboard</h2>
                </td>
            </tr>
            <tr>
                <td>
                    <h2 style="margin-top: -9px !important;">

            <a data-step="1" data-position="right" data-intro="To Create Campaign Click On this button, the avaiable Campaign Types are <br><br>1. Annoation Campaign <br>2. Banner Campaign <br>3. Optin Campaign <br>4. Hotspot Campaign <br>5. Video Gallery <br>6. Skype Campaign" class="btn btn-primary addnbtn" onclick="create_campaign()">

                <i class="halflings-icon white plus"></i> Add New Campaign</a>

            <span class="break"></span>

          

        </h2>
                </td>
            </tr>
        </table>
       
      </div>

<div class="panel panel-default">
   <div class="panel-heading">
      <h3 class="panel-title">Dashboard</h3>
   </div>
   <div class="panel-body">
      
   
   <table id="example" class="table table-striped table-bordered" cellspacing="0" width="100%">

        <thead>

            

              <tr>

                <th>No.</th>

                <th>Campaign Name</th>

                <th>Hits/Unique Visits</th>

                <th>Traffic buddy Links</th>

                 <th>Social Share</th>

                <th>Actions</th>



            </tr>

        </thead>

        <tbody>

<!--            <input type='text' name='clcikcount' id='clickcount' value=''>-->

         <?php



                    $wp_tbl_trafficmachine_links = $wpdb->prefix . 'tbl_trafficmachine_links';

                    $query = $wpdb->get_results("SELECT * FROM $wp_tbl_trafficmachine_links order by id desc", ARRAY_A);

		    $i=1;

                    

                    $wp_tbl_trafficmachine_clicks = $wpdb->prefix . 'tbl_trafficmachine_clicks';

                 

        	    foreach($query as $res)

                {

                    

                        $id=$res['id'];

                         $user_count = $wpdb->get_var( "SELECT COUNT(*) FROM $wp_tbl_trafficmachine_clicks where `link_id`=$id AND `browser` !='facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)'" );
 $visit_count=$wpdb->get_var("SELECT count(DISTINCT ip) FROM $wp_tbl_trafficmachine_clicks WHERE `link_id` = $id AND `browser` !='facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)'");
                        // echo "count is :".$visit_count;

                       

			    echo "<tr>

                                <td>".$i++."</td>

                                <td>".$res['campaign_name']."</td>

                                    <td>$user_count/$visit_count</td>

                                      <td><input type='text' style='font-size: 10px; width: 90%;position:relative' readonly='true' class='tjckr_url' onclick='this.select();' onfocus='this.select();' value=".$res['tracking_word'].">

                                      <a id='clickcnt' href='".$res['tracking_word']."' target='_blank'>

                                      <img src='../wp-content/plugins/social_traffic_machine/images/preview.png' /></a>

                                </td>

                        <td>

                        <a href='http://www.facebook.com/sharer.php?u=".$res['tracking_word']."' class=\"tjckr_twt\" target='_blank'><img style=\"vertical-align:middle;padding-right:1px;\" src=\"../wp-content/plugins/social_traffic_machine/img/facebook2.png\"></button></a>

                        <a href='https://twitter.com/share?url=".$res['tracking_word']."' target='_blank' class='twitter-share-button tjckr_twt' data-count='none' ><img style='vertical-align:middle;padding-right:1px;' src='../wp-content/plugins/social_traffic_machine/img/twitter2.png'></a>

                        <a class='tjckr_twt' href='http://www.linkedin.com/shareArticle?mini=true&url=http://115.115.152.27:8083/ssc/wordpress/wp-content/themes/prevshow.php?Id=15' target='_blank'><img style='vertical-align:middle;padding-right:1px;' src='../wp-content/plugins/social_traffic_machine/img/linkedin2.png'></a>
                         
                        

                        <a class='tjckr_twt' href='https://plus.google.com/share?url=http://115.115.152.27:8083/ssc/wordpress/wp-content/themes/prevshow.php?Id=18' target='_blank'><img style='vertical-align:middle;padding-right:1px;' src='../wp-content/plugins/social_traffic_machine/img/google2.png'></a>

                       
                        
                        <a class='tjckr_twt' href='https://pinterest.com/pin/create/button/?url=http://115.115.152.27:8083/ssc/wordpress/wp-content/themes/prevshow.php?Id=18' target='_blank'><img style='vertical-align:middle;padding-right:1px;' src='../wp-content/plugins/social_traffic_machine/img/pinterest2.png'></a>
                        
                       
                        </td>

                       <td align='center' class=' '>
                           
                            <a href=".$site_url."/wp-admin/admin.php?page=stm-add-campaign&action=edit&id=".$id." class=\"tooltip-bottom\" Title='Edit' data-tooltip=\"Edit\" ><i class=\"glyphicon glyphicon-edit\"></i></a>
                            <a class=\"tooltip-bottom\" Title='Delete' data-tooltip=\"Delete\" onclick='delete_funct(".$res['id'].")'><i class=\"glyphicon glyphicon-trash\"></i></a>
                            </td>

                        </tr>";

                }

?>
 </tbody>

</table>
    </div>
    </div>
    <script>
      window.___gcfg = {
        lang: 'en-US',
        parsetags: 'onload'
      };
    </script>
    <script src="https://apis.google.com/js/platform.js" async defer></script>

    <script>



 $(document).ready(function() {

    $('#example').dataTable();

    

});
function create_campaign()

    {

     var site_url=$("#siteurl").val();

      window.location=site_url+"/wp-admin/admin.php?page=stm-add-campaign";

    }

    

function delete_funct(id)

    {



        var id=id;

        var site_url=$("#siteurl").val();

        var result = confirm("Are you sure you want to delete this campaign?");

        var del="yes";

        if (result) {

        jQuery.ajax({

        type: 'POST',

        url:site_url+"/wp-admin/admin.php?page=stm-add-campaign",

        data: {"action": "stm_add_campaign", "id":id,"del":del},

          success: function(response){

        window.location=site_url+"/wp-admin/admin.php?page=theme-options";

                 }

             });

         }

    }

</script>
<?php
exit;
}

?>
<?php include("stm_add_campaign.php"); ?>
<?php include("texteditor.php"); ?>
<?php //include("stm_add_campaign.php"); ?>